Cookies op Tweakers

Tweakers is onderdeel van DPG Media en maakt gebruik van cookies, JavaScript en vergelijkbare technologie om je onder andere een optimale gebruikerservaring te bieden. Ook kan Tweakers hierdoor het gedrag van bezoekers vastleggen en analyseren. Door gebruik te maken van deze website, of door op 'Cookies accepteren' te klikken, geef je toestemming voor het gebruik van cookies. Wil je meer informatie over cookies en hoe ze worden gebruikt? Bekijk dan ons cookiebeleid.

Meer informatie
Toon posts:

werkt iphone ook met besturingsysteem versies?

Pagina: 1
Acties:

Vraag


  • tweakmember
  • Registratie: februari 2018
  • Laatst online: 26-05 02:49
.

[Voor 99% gewijzigd door tweakmember op 17-04-2019 10:10]

Beste antwoord (via tweakmember op 23-10-2018 12:16)


  • RiDo78
  • Registratie: juli 2002
  • Niet online
tweakmember schreef op zondag 7 oktober 2018 @ 13:11:
Bij android apps staat altijd vermeld dat je toestel minimaal een bepaald besturingssysteem versie moet voldoen. (bijv android 3 of 4 ofzo)
Bij oudere android telefoons is dan ook het vaak probleem dat nieuwe apps niet werken.

Ik vroeg mij af hoe dit werkt met iphone gezien bij iphone apps nergens word vermeld welk versie je iphone moet voldoen.
Het grote verschil tussen Apple en Android wat versies betreft is de update-policy. Bij Android heb je verschillende bedrijven die elk hun plasje mogen doen over welke Android versie op jouw telefoon kan/mag draaien.

Heb je bijvoorbeeld een telefoon bij je provider gekocht, en Google brengt een andere android versie uit dan moet eerst je fabrikant die versie goedkeuren voor jouw telefoon (wat ze om commerciele redenen liever niet doen). Daarnaast kan je provider nog een 'custom' versie van het OS hebben om hun branding er in te kunnen stoppen. Als dat het geval is, zal de provider een nieuwe custom-OS-image moeten maken.

Bij Apple is het simpeler, de fabrikant van het OS en de hardware zijn dezelfde partij en de provider heeft niets over iOS te zeggen. Komt er een nieuwe iOS versie uit, dan kijkt Apple op welke versies van de hardware het OS nog acceptabel draait en maakt die hardware de update beschikbaar.

Daarnaast zit je met een Android ook nog eens dat de specificaties niet uniform zijn. De ene is single-core, de ander quad-core. De een heeft een overschot aan werkgeheugen, de ander heeft krap genoeg om het OS te kunnen draaien. Bij Apple is dat allemaal uniform. Elke Iphone 5 heeft evenveel werkgeheugen en dezelfde CPU. De verschillen zitten zowat enkel in de grootte van het opslag-geheugen.
Betekend dit dat op oudere iphones de nieuwste apps prima kunnen functioneren?
Of hoe kun je zien of een app wel/niet kan draaien op je iphone?
Dat kun je niet. Het is aan de ontwikkellaar van de app om aan te geven op welke iPhone / iPad hun app zou moeten werken. En daar zijn de ontwikkellaars niet altijd even eerlijk mee. Zeker niet als het een gratis-app is die het van de advertentie-inkomsten moet hebben.

Zo kun je in theorie een pretpark bouwen met Rollercoaster Tycoon op een iPhone 6, maar als je park een beetje begint te groeien, loopt de app uit z'n geheugen en gaat hij gek doen. Open je datzelfde park op een iPhone 7, dan werkt het probleemloos. Bij Android zul je hetzelfde probleem kunnen hebben, maar daar kan de ontwikkellaar aangeven wat het aanbevolen werkgeheugen is. En kun je zelf oordelen of jouw apparaat daar mee om kan.
Ik zit er namelijk te denken om over te stappen naar iphone maar omdat ik een 2de hands oudje wil kopen vraag ik mij af of de besturingsysteem dan niet zo verouders is dat veel apps niet meer werken.
Vanaf de iPhone 5s (2013) kun je gebruik maken van de nieuwste iOS 12. Zie ook deze link:
https://www.iculture.nl/ios/versies/
En bij de apps die ik wil gebruiken zie ik nergens staan aan wat voor systeem eisen de apps moeten voldoen.
(wat je dus wel bij andoid apps wel word verteld)
Zoals al een beetje tussen de lijnen door gezegd heb je geen 'systeemeisen' bij Apple. Je hebt een hardwaremodel zoals iPhone 5 of iPad mini. Die naam is representatief voor de onderliggende hardware en de reeks van iOS versies die je kunt gebruiken.

Natuurlijk heb je hardware beperkingen, de iPhone X heeft functies die iPhone 8 niet heeft, terwijl ze tegelijk zijn uitgekomen. Een iPad met 3G + WIFI ondersteuning kan zelfstandig telefoongesprekken afhandellen, terwijl een iPad met enkel WIFI ondersteuning daarvoor een gekoppelde iphone nodig heeft. En Whatsapp werkt enkel op een telefoon, niet op een iPad. En ja dan moet ik toegeven dat het niet altijd even gemakkelijk is om terug te vinden wat waarop draait.

Last not least, als je graag gebruik maakt van (betalen met) NFC... Apple heeft al sinds de iPhone 6 NFC hardware aan boord, maar het is zo goed als onbruikbaar. Apple vind maar 2 functies van NFC interessant:
  1. Koppellen van apparaten
    - Nieuwe iphone? leg hem op de oude of een ipad en de netwerkinstellingen worden overgezet
    - Nieuwe Beats speaker? Hou je iphone ervoor en de bluetooth-pairing wordt geregeld
  2. Betalingen verrichten
    Apple ziet graag dat jij contactloos betaalt bij winkels. Maar dan WEL met ApplePay. De Nederlandse banken zien daar (voor zover ik weet) massaal van af. Je kunt je iPhone dus niet gebruiken als bankpas.
Apps hebben geen toegang tot de NFC hardware dus mocht NFC een van de toepassingen zijn die je wilt gebruiken, dan zul je bij Android moeten blijven.

Alle reacties


Acties:
  • +1Henk 'm!

  • MAX3400
  • Registratie: mei 2003
  • Laatst online: 17:42

MAX3400

XBL: OctagonQontrol

iOS is het besturingssysteem en er zijn voldoende voorbeelden te noemen dat een bepaald device, bijvoorbeeld een iPhone 4, geen bepaalde versie iOS kan draaien.

En dan kom je in de situatie dat je bepaalde apps niet meer kan installeren of kan blijven gebruiken. Of dat je ervoor kiest die iPhone 4 niet te updaten maar daardoor steeds meer functies kan verliezen alsmede security-patches.

Mijn antwoorden zijn vaak niet snowflake-proof


Acties:
  • +1Henk 'm!

  • Hahn
  • Registratie: augustus 2001
  • Laatst online: 02:16
Ja, iPhones werken precies hetzelfde. Alleen is Apple wat strikter met apps en ondersteunen ze oudere iPhones langer dan de gemiddelde Android-telefoon ondersteund wordt.

Zolang je een iPhone 6 of later neemt kan je sowieso nog wel een aantal jaar vooruit.

The devil is in the details.


Acties:
  • +1Henk 'm!

  • KRGT
  • Registratie: september 2001
  • Niet online

KRGT

Have a nice day!

Zolang je vanaf de 5s koopt, zit je aardig goed. (iOS 12, https://9to5mac.com/2018/06/04/ios-12-supported-devices/), maar zal je aanraden om vanaf de 6s te kopen.

De 32Bits apps werken niet meer, maar die vindt je ook niet meer zo snel (al helemaal als je geen iPhone hebt op dit moment)

Verder gaat het vooral om functionaliteiten, zoals AR-KIT, welke pas vanaf de 6s beschikbaar is, daaronder kan je de App dan niet installeren.

Acties:
  • Beste antwoord
  • +1Henk 'm!

  • RiDo78
  • Registratie: juli 2002
  • Niet online
tweakmember schreef op zondag 7 oktober 2018 @ 13:11:
Bij android apps staat altijd vermeld dat je toestel minimaal een bepaald besturingssysteem versie moet voldoen. (bijv android 3 of 4 ofzo)
Bij oudere android telefoons is dan ook het vaak probleem dat nieuwe apps niet werken.

Ik vroeg mij af hoe dit werkt met iphone gezien bij iphone apps nergens word vermeld welk versie je iphone moet voldoen.
Het grote verschil tussen Apple en Android wat versies betreft is de update-policy. Bij Android heb je verschillende bedrijven die elk hun plasje mogen doen over welke Android versie op jouw telefoon kan/mag draaien.

Heb je bijvoorbeeld een telefoon bij je provider gekocht, en Google brengt een andere android versie uit dan moet eerst je fabrikant die versie goedkeuren voor jouw telefoon (wat ze om commerciele redenen liever niet doen). Daarnaast kan je provider nog een 'custom' versie van het OS hebben om hun branding er in te kunnen stoppen. Als dat het geval is, zal de provider een nieuwe custom-OS-image moeten maken.

Bij Apple is het simpeler, de fabrikant van het OS en de hardware zijn dezelfde partij en de provider heeft niets over iOS te zeggen. Komt er een nieuwe iOS versie uit, dan kijkt Apple op welke versies van de hardware het OS nog acceptabel draait en maakt die hardware de update beschikbaar.

Daarnaast zit je met een Android ook nog eens dat de specificaties niet uniform zijn. De ene is single-core, de ander quad-core. De een heeft een overschot aan werkgeheugen, de ander heeft krap genoeg om het OS te kunnen draaien. Bij Apple is dat allemaal uniform. Elke Iphone 5 heeft evenveel werkgeheugen en dezelfde CPU. De verschillen zitten zowat enkel in de grootte van het opslag-geheugen.
Betekend dit dat op oudere iphones de nieuwste apps prima kunnen functioneren?
Of hoe kun je zien of een app wel/niet kan draaien op je iphone?
Dat kun je niet. Het is aan de ontwikkellaar van de app om aan te geven op welke iPhone / iPad hun app zou moeten werken. En daar zijn de ontwikkellaars niet altijd even eerlijk mee. Zeker niet als het een gratis-app is die het van de advertentie-inkomsten moet hebben.

Zo kun je in theorie een pretpark bouwen met Rollercoaster Tycoon op een iPhone 6, maar als je park een beetje begint te groeien, loopt de app uit z'n geheugen en gaat hij gek doen. Open je datzelfde park op een iPhone 7, dan werkt het probleemloos. Bij Android zul je hetzelfde probleem kunnen hebben, maar daar kan de ontwikkellaar aangeven wat het aanbevolen werkgeheugen is. En kun je zelf oordelen of jouw apparaat daar mee om kan.
Ik zit er namelijk te denken om over te stappen naar iphone maar omdat ik een 2de hands oudje wil kopen vraag ik mij af of de besturingsysteem dan niet zo verouders is dat veel apps niet meer werken.
Vanaf de iPhone 5s (2013) kun je gebruik maken van de nieuwste iOS 12. Zie ook deze link:
https://www.iculture.nl/ios/versies/
En bij de apps die ik wil gebruiken zie ik nergens staan aan wat voor systeem eisen de apps moeten voldoen.
(wat je dus wel bij andoid apps wel word verteld)
Zoals al een beetje tussen de lijnen door gezegd heb je geen 'systeemeisen' bij Apple. Je hebt een hardwaremodel zoals iPhone 5 of iPad mini. Die naam is representatief voor de onderliggende hardware en de reeks van iOS versies die je kunt gebruiken.

Natuurlijk heb je hardware beperkingen, de iPhone X heeft functies die iPhone 8 niet heeft, terwijl ze tegelijk zijn uitgekomen. Een iPad met 3G + WIFI ondersteuning kan zelfstandig telefoongesprekken afhandellen, terwijl een iPad met enkel WIFI ondersteuning daarvoor een gekoppelde iphone nodig heeft. En Whatsapp werkt enkel op een telefoon, niet op een iPad. En ja dan moet ik toegeven dat het niet altijd even gemakkelijk is om terug te vinden wat waarop draait.

Last not least, als je graag gebruik maakt van (betalen met) NFC... Apple heeft al sinds de iPhone 6 NFC hardware aan boord, maar het is zo goed als onbruikbaar. Apple vind maar 2 functies van NFC interessant:
  1. Koppellen van apparaten
    - Nieuwe iphone? leg hem op de oude of een ipad en de netwerkinstellingen worden overgezet
    - Nieuwe Beats speaker? Hou je iphone ervoor en de bluetooth-pairing wordt geregeld
  2. Betalingen verrichten
    Apple ziet graag dat jij contactloos betaalt bij winkels. Maar dan WEL met ApplePay. De Nederlandse banken zien daar (voor zover ik weet) massaal van af. Je kunt je iPhone dus niet gebruiken als bankpas.
Apps hebben geen toegang tot de NFC hardware dus mocht NFC een van de toepassingen zijn die je wilt gebruiken, dan zul je bij Android moeten blijven.


Apple iPad Pro (2021) 11" Wi-Fi, 8GB ram Microsoft Xbox Series X LG CX Google Pixel 5a 5G Sony XH90 / XH92 Samsung Galaxy S21 5G Sony PlayStation 5 Nintendo Switch Lite

Tweakers vormt samen met Hardware Info, AutoTrack, Gaspedaal.nl, Nationale Vacaturebank, Intermediair en Independer DPG Online Services B.V.
Alle rechten voorbehouden © 1998 - 2021 Hosting door True